## com.bbn.openmap.dataAccess.shape
Class DrawingAttributesUtility

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.DrawingAttributesUtility

All Implemented Interfaces:
  ShapeConstants

public class DrawingAttributesUtility
extends java.lang.Object
implements ShapeConstants

A class to help out with looking in a DBF file, and setting OMGraphics with DrawingAttributes settings that may reside in the DBF. The DBF column header names should be the same as the DrawingAttributes property strings.

Field Summary
`protected DrawingAttributes` `da`
`protected int` `dashPatternColumn`
`protected int` `dashPhaseColumn`
`protected DrawingAttributes` `defaultDA`
`protected int` `desColumn`
`protected int` `fillColorColumn`
`protected int` `lineColorColumn`
`protected int` `lineWidthColumn`
`protected DbfTableModel` `model`
`protected int` `selectColorColumn`

Fields inherited from interface com.bbn.openmap.dataAccess.shape.ShapeConstants

`DBF_ATTRIBUTE, DBF_CHARACTER, DBF_DATE, DBF_LOGICAL, DBF_MEMO, DBF_NUMERIC, DBF_TYPE_CHARACTER, DBF_TYPE_DATE, DBF_TYPE_LOGICAL, DBF_TYPE_MEMO, DBF_TYPE_NUMERIC, PARAM_DBF, PARAM_SHP, PARAM_SHX, SHAPE_BOUNDS_ATTRIBUTE, SHAPE_DBF_DASHPATTERN, SHAPE_DBF_DASHPHASE, SHAPE_DBF_DESCRIPTION, SHAPE_DBF_FILLCOLOR, SHAPE_DBF_INFO_ATTRIBUTE, SHAPE_DBF_LINECOLOR, SHAPE_DBF_LINEWIDTH, SHAPE_DBF_SELECTCOLOR, SHAPE_FILE_HEADER_LENGTH, SHAPE_FILE_RECORD_HEADER_LENGTH, SHAPE_INDEX_ATTRIBUTE, SHAPE_MAX_MEASURE_ATTRIBUTE, SHAPE_MAX_Z_ATTRIBUTE, SHAPE_MEASURE_ATTRIBUTE, SHAPE_MIN_MEASURE_ATTRIBUTE, SHAPE_MIN_Z_ATTRIBUTE, SHAPE_TYPE_ARC, SHAPE_TYPE_MULTIPATCH, SHAPE_TYPE_MULTIPOINT, SHAPE_TYPE_MULTIPOINTM, SHAPE_TYPE_MULTIPOINTZ, SHAPE_TYPE_NULL, SHAPE_TYPE_POINT, SHAPE_TYPE_POINTM, SHAPE_TYPE_POINTZ, SHAPE_TYPE_POLYGON, SHAPE_TYPE_POLYGONM, SHAPE_TYPE_POLYGONZ, SHAPE_TYPE_POLYLINE, SHAPE_TYPE_POLYLINEM, SHAPE_TYPE_POLYLINEZ, SHAPE_Z_ATTRIBUTE`

Constructor Summary
`protected` `DrawingAttributesUtility(DbfTableModel model)`

Method Summary
`protected void` `configureForRecord(OMGraphic graphic, java.util.ArrayList record)`
`DrawingAttributes` `getDefaultAttributes()`
`protected java.awt.Color` `parseColor(java.lang.String colorString, java.awt.Color def)`
`void` `setDefaultAttributes(DrawingAttributes dda)`
`static void` `setDrawingAttributes(EsriGraphicList list, DbfTableModel model)` Iterate through the list, and look in the DbfTableModel for DrawingAttributes parameters, setting the DrawingAttributes on the list contents with anything found in the DBF file.
`static void` `setDrawingAttributes(EsriGraphicList list, DbfTableModel model, DrawingAttributes defaultDA)` Iterate through the list, and look in the DbfTableModel for DrawingAttributes parameters, setting the DrawingAttributes on the list contents with anything found in the DBF file.
`protected void` `setDrawingAttributes(OMGraphic graphic, int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### da

    protected DrawingAttributes da

### desColumn

    protected int desColumn

### lineColorColumn

    protected int lineColorColumn

### fillColorColumn

    protected int fillColorColumn

### selectColorColumn

    protected int selectColorColumn

### lineWidthColumn

    protected int lineWidthColumn

### dashPatternColumn

    protected int dashPatternColumn

### dashPhaseColumn

    protected int dashPhaseColumn

### model

    protected DbfTableModel model

### defaultDA

    protected DrawingAttributes defaultDA

Constructor Detail

### DrawingAttributesUtility

    protected DrawingAttributesUtility(DbfTableModel model)

Method Detail

### parseColor

    protected java.awt.Color parseColor(java.lang.String colorString,
                                        java.awt.Color def)

### setDefaultAttributes

    public void setDefaultAttributes(DrawingAttributes dda)

### getDefaultAttributes

    public DrawingAttributes getDefaultAttributes()

### configureForRecord

    protected void configureForRecord(OMGraphic graphic,
                                      java.util.ArrayList record)

### setDrawingAttributes

    protected void setDrawingAttributes(OMGraphic graphic,
                                        int index)

### setDrawingAttributes

    public static void setDrawingAttributes(EsriGraphicList list,
                                            DbfTableModel model)

  Iterate through the list, and look in the DbfTableModel for DrawingAttributes parameters, setting the DrawingAttributes on the list contents with anything found in the DBF file. Otherwise, use the DrawingAttributes.DEFAULT settings if no attribute parameters found.

### setDrawingAttributes

    public static void setDrawingAttributes(EsriGraphicList list,
                                            DbfTableModel model,
                                            DrawingAttributes defaultDA)

  Iterate through the list, and look in the DbfTableModel for DrawingAttributes parameters, setting the DrawingAttributes on the list contents with anything found in the DBF file. Otherwise, use the default DrawingAttributes settings if no attribute parameters found.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details